Subject: bug#50993: 29.0.50; Problems when dragging the mouse over the toolbar

From: Po Lu <[email-masked]>
Date: Mon, 11 Oct 2021 15:24:59 +0800

martin rudalics <[email-masked]> writes:

> I'm too silly to understand how this is related to the issue at hand.
> Can you please elaborate?

AFAIU, mouse-movement events generated by moving the mouse over the
toolbar don't contain a window, but rather the frame the toolbar belongs
to.

However, mouse-drag-track wants START-EVENT to contain a window.

> So far I've been unable to reproduce this issue on Emacs 28.  Doesn't
> 'mouse-drag-track', once started, conceptually have to get through
> wherever the mouse pointer is - a child frame, the tool bar, another
> frame, no frame at all?  Like scroll bar dragging with the mouse?

You need a build without toolkit tool bars, I think.